using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace CSharpProjekt {
    public partial class AbwerfenButton : Button {
        KarteControl karteCont = null;

        public KarteControl KarteCont {
            get { return karteCont; }
            set { karteCont = value; }
        }
        public AbwerfenButton() {
            InitializeComponent();
        }

        private void AbwerfenButton_Click(object sender, EventArgs e) {
            if (karteCont == null)
                return;
            if (KarteAbgeworfen != null)
                KarteAbgeworfen(this, new EventArgs());
            karteCont.KarteEntfernen();
        }

        public event EventHandler KarteAbgeworfen;
    }
}
